org.apache.commons.math3.geometry.partitioning

## Enum Region.Location

- java.lang.Object
- - java.lang.Enum<Region.Location>
  - - org.apache.commons.math3.geometry.partitioning.Region.Location

- All Implemented Interfaces:
    Serializable, Comparable<Region.Location>
  Enclosing interface:
    Region<S extends Space>

      public static enum Region.Location
      extends Enum<Region.Location>

  Enumerate for the location of a point with respect to the region.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOUNDARY` Code for points on the partition boundary.
    `INSIDE` Code for points inside the partition.
    `OUTSIDE` Code for points outside of the partition.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Region.Location` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Region.Location[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSIDE

          public static final Region.Location INSIDE

      Code for points inside the partition.

    - #### OUTSIDE

          public static final Region.Location OUTSIDE

      Code for points outside of the partition.

    - #### BOUNDARY

          public static final Region.Location BOUNDARY

      Code for points on the partition boundary.

  - ### Method Detail

    - #### values

          public static Region.Location[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Region.Location c : Region.Location.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Region.Location valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.